# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Arcli < Formula
  desc "Awesome Redmine CLI"
  homepage "https://github.com/mightymatth/arcli"
  version "0.3.8"

  on_macos do
    if Hardware::CPU.arm?
      url "https://github.com/mightymatth/arcli/releases/download/v0.3.8/arcli_Darwin_arm64.tar.gz"
      sha256 "0a0bce4cc04dc1d23b5df550888e076f4ce0da248f9873fd86b4a3adb5ee7d54"

      def install
        bin.install "arcli"
        bash_completion.install "completions/arcli.bash" => "arcli"
        zsh_completion.install "completions/arcli.zsh" => "_arcli"
        fish_completion.install "completions/arcli.fish"
      end
    end
    if Hardware::CPU.intel?
      url "https://github.com/mightymatth/arcli/releases/download/v0.3.8/arcli_Darwin_x86_64.tar.gz"
      sha256 "d1c734ee9e27ed235ca263b19e44f712f0ef43c00663dc2970535067351de4ee"

      def install
        bin.install "arcli"
        bash_completion.install "completions/arcli.bash" => "arcli"
        zsh_completion.install "completions/arcli.zsh" => "_arcli"
        fish_completion.install "completions/arcli.fish"
      end
    end
  end

  on_linux do
    if Hardware::CPU.intel?
      url "https://github.com/mightymatth/arcli/releases/download/v0.3.8/arcli_Linux_x86_64.tar.gz"
      sha256 "da95ff6ad76ec72ce17d5cbd9215df8b14ac183a80b53c3252ce4037ed9cf5a6"

      def install
        bin.install "arcli"
        bash_completion.install "completions/arcli.bash" => "arcli"
        zsh_completion.install "completions/arcli.zsh" => "_arcli"
        fish_completion.install "completions/arcli.fish"
      end
    end
    if Hardware::CPU.arm? && Hardware::CPU.is_64_bit?
      url "https://github.com/mightymatth/arcli/releases/download/v0.3.8/arcli_Linux_arm64.tar.gz"
      sha256 "2e87258cced90e672e6abf439d0aea2285e0d8c2f1500d3a9d74f20c83df4921"

      def install
        bin.install "arcli"
        bash_completion.install "completions/arcli.bash" => "arcli"
        zsh_completion.install "completions/arcli.zsh" => "_arcli"
        fish_completion.install "completions/arcli.fish"
      end
    end
  end

  test do
    system "#{bin}/arcli --version"
  end
end
